OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.SparseTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSparseTexture :: MonadIO m => m Bool
- gl_ARB_sparse_texture :: Bool
- gl_MAX_SPARSE_3D_TEXTURE_SIZE_ARB :: GLenum
- gl_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB :: GLenum
- gl_MAX_SPARSE_TEXTURE_SIZE_ARB :: GLenum
- gl_NUM_SPARSE_LEVELS_ARB :: GLenum
- gl_NUM_VIRTUAL_PAGE_SIZES_ARB :: GLenum
- gl_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB :: GLenum
- gl_TEXTURE_SPARSE_ARB :: GLenum
- gl_VIRTUAL_PAGE_SIZE_INDEX_ARB :: GLenum
- gl_VIRTUAL_PAGE_SIZE_X_ARB :: GLenum
- gl_VIRTUAL_PAGE_SIZE_Y_ARB :: GLenum
- gl_VIRTUAL_PAGE_SIZE_Z_ARB :: GLenum
- glTexPageCommitmentARB :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetARBSparseTexture :: MonadIO m => m Bool

Is the ARB_sparse_texture extension supported?

gl_ARB_sparse_texture :: Bool

Is the ARB_sparse_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSparseTexture` in those cases instead.

# Enums

gl_MAX_SPARSE_3D_TEXTURE_SIZE_ARB :: GLenum

gl_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB :: GLenum

gl_MAX_SPARSE_TEXTURE_SIZE_ARB :: GLenum

gl_NUM_SPARSE_LEVELS_ARB :: GLenum

gl_NUM_VIRTUAL_PAGE_SIZES_ARB :: GLenum

gl_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB :: GLenum

gl_TEXTURE_SPARSE_ARB :: GLenum

gl_VIRTUAL_PAGE_SIZE_INDEX_ARB :: GLenum

gl_VIRTUAL_PAGE_SIZE_X_ARB :: GLenum

gl_VIRTUAL_PAGE_SIZE_Y_ARB :: GLenum

gl_VIRTUAL_PAGE_SIZE_Z_ARB :: GLenum

# Functions

glTexPageCommitmentARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `commit`.
-> m () |